## org.eclipse.m2m.qvt.oml.ecore.ImperativeOCL.util
Class ImperativeOCLPlugin

    java.lang.Object
      org.eclipse.emf.common.util.DelegatingResourceLocator
          org.eclipse.emf.common.EMFPlugin
              org.eclipse.m2m.qvt.oml.ecore.ImperativeOCL.util.ImperativeOCLPlugin

All Implemented Interfaces:
  org.eclipse.emf.common.util.Logger, org.eclipse.emf.common.util.ResourceLocator

    public class ImperativeOCLPlugin

extends org.eclipse.emf.common.EMFPlugin

Nested Class Summary
`static class` `ImperativeOCLPlugin.Implementation`

Nested classes/interfaces inherited from class org.eclipse.emf.common.EMFPlugin
`org.eclipse.emf.common.EMFPlugin.EclipsePlugin, org.eclipse.emf.common.EMFPlugin.InternalEclipsePlugin, org.eclipse.emf.common.EMFPlugin.InternalHelper`

Field Summary
`static ImperativeOCLPlugin` `INSTANCE` The singleton instance of the plugin.

Fields inherited from class org.eclipse.emf.common.EMFPlugin
`delegateResourceLocators, IS_ECLIPSE_RUNNING, IS_RESOURCES_BUNDLE_AVAILABLE`

Fields inherited from class org.eclipse.emf.common.util.DelegatingResourceLocator
`baseURL, images, resourceBundle, shouldTranslate, strings, untranslatedResourceBundle, untranslatedStrings`

Method Summary
`org.eclipse.emf.common.util.ResourceLocator` `getPluginResourceLocator()`

Methods inherited from class org.eclipse.emf.common.EMFPlugin
`getDelegateResourceLocators, getPluginLogger, getPrimaryResourceLocator, getSymbolicName, log, main`

Methods inherited from class org.eclipse.emf.common.util.DelegatingResourceLocator
`delegatedGetImage, delegatedGetString, doGetImage, doGetString, extensionFor, getBaseURL, getImage, getString, getString, getString, getString, setShouldTranslate, shouldTranslate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.common.util.ResourceLocator
`getBaseURL, getImage, getString, getString, getString, getString`

Field Detail

### INSTANCE

    public static final ImperativeOCLPlugin INSTANCE

  The singleton instance of the plugin.

Method Detail

### getPluginResourceLocator

    public org.eclipse.emf.common.util.ResourceLocator getPluginResourceLocator()

  Specified by:
    `getPluginResourceLocator` in class `org.eclipse.emf.common.EMFPlugin`

Copyright 2008 Borland Software Corporation and others. All Rights Reserved.